Subject: RE: bug in cp: Permission denied
From: [email-masked] (John Wiersba)

5 Nov 1998 11:16:19 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: "[email-masked]'" <[email-masked]>

Can anyone reproduce this on a WinNT4 machine under b19 (or maybe under
b20)?

$ touch 10101010 asdf
$ chmod 444 asdf
$ cp asdf fdsa1
$ cp -p asdf fdsa2
cp: fdsa2: Permission denied
$ ls -l
total 0
-r--r--r--   1 jrw      jrwg            0 Oct 10 10:10 asdf
-r--r--r--   1 jrw      jrwg            0 Nov  4 09:57 fdsa1
-rw-r--r--   1 jrw      jrwg            0 Oct 10 10:10 fdsa2

Note that the -p option correctly copies the timestamp, but that the
file access mode is NOT
copied (I assume that's why there's an error message).  

Why can't the file access mode be copied?

I'm running b19 with coolview under WinNT, I don't know which service
pack, but the System Properties shows 4.00.1381.

-----Original Message-----
From: John Wiersba [mailto:[email-masked]]
Sent: Monday, November 02, 1998 11:25 AM
To: [email-masked]'
Subject: bug in cp: Permission denied

What's up with this?

touch a
cp -p a b
cp: b: Permission denied

The copy actually works, and the timestamp is copied, but not the
permissions. 

I'm running b19 with coolview on NT with everything binary-mounted.

John Wiersba ([email-masked])
-
For help on using this list (especially unsubscribing), send a message
to
"[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".